[or-cvs] r20587: {torvm} Make kqemu build continue if failed. (torvm/trunk/build/win32/files)

coderman at seul.org coderman at seul.org
Wed Sep 16 01:25:29 UTC 2009


Author: coderman
Date: 2009-09-15 21:25:29 -0400 (Tue, 15 Sep 2009)
New Revision: 20587

Modified:
   torvm/trunk/build/win32/files/buildall.sh
Log:
Make kqemu build continue if failed.

Modified: torvm/trunk/build/win32/files/buildall.sh
===================================================================
--- torvm/trunk/build/win32/files/buildall.sh	2009-09-16 00:37:23 UTC (rev 20586)
+++ torvm/trunk/build/win32/files/buildall.sh	2009-09-16 01:25:29 UTC (rev 20587)
@@ -122,8 +122,6 @@
   export QEMU_DIR="qemu-${QEMU_VER}"
   export QEMU_FILE="${QEMU_DIR}.tar.gz"
 
-  export KQEMU_DIR="kqemu-${KQEMU_VER}"
-
   export CMAKE_VER="2.6.2"
   export CMAKE_DIR="cmake-${CMAKE_VER}"
   export CMAKE_FILE="cmake-${CMAKE_VER}.tar.gz"
@@ -595,19 +593,17 @@
     patch -p1 < ../kqemu-gcc-asm.patch
     if (( $? != 0 )); then
       echo "ERROR: KQemu patch failed." >&2
-      exit 1
     fi
   fi
   make
   if (( $? != 0 )); then
     echo "ERROR: kqemu build failed." >&2
-    exit 1
+  else
+    cp kqemu.inf $libdir/
+    cp kqemu.sys $libdir/
+    cp LICENSE $licensedir/KQemu-LICENSE.txt
+    pkgbuilt KQEMU_BUILT
   fi
-  cp kqemu.inf $libdir/
-  cp kqemu.sys $libdir/
-  cp LICENSE $licensedir/KQemu-LICENSE.txt
-
-  pkgbuilt KQEMU_BUILT
 fi
 
 if [[ "$W32CTL_BUILT" != "yes" ]]; then



More information about the tor-commits mailing list